;;; oni-browse-url.el --- Browse URL configuration   -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.0904.210259

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Browse URL configuration.

;;; Code:

(require 'browse-url)

(setq browse-url-browser-function
      (if (eql system-type 'windows-nt)
          'browse-url-default-windows-browser
        'browse-url-firefox))

;;;###autoload(with-eval-after-load 'browse-url (require 'oni-browse-url))

(provide 'oni-browse-url)
;;; oni-browse-url.el ends here
